Bug 224472 - devel/R-cran-gsubfn is marked as broken, cause of one disabled options in math/R
Summary: devel/R-cran-gsubfn is marked as broken, cause of one disabled options in ma...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steven Kreuzer
URL:
Keywords: needs-patch
Depends on:
Blocks:
 
Reported: 2017-12-20 01:19 UTC by Walter Schwarzenfeld
Modified: 2018-02-28 00:28 UTC (History)
3 users (show)

See Also:
koobs: merge-quarterly?


Attachments
svn-diff-math-R (577 bytes, patch)
2018-02-27 18:36 UTC, Walter Schwarzenfeld
no flags Details | Diff
svn-diff-R_cran_gsubfn (290 bytes, patch)
2018-02-27 18:38 UTC, Walter Schwarzenfeld
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Walter Schwarzenfeld freebsd_triage 2017-12-20 01:19:53 UTC
Antoine marked devel/R-cran-gsubfn as broken (failed to stage). This is typical if TCL/TK is disabled in math/R.
Either:
Please, set a warning oder pkg-message in devel/R-cran-gsubfn
or
enable TCL/TK per default in math/R.
Comment 1 Walter Schwarzenfeld freebsd_triage 2018-02-27 18:36:39 UTC
Created attachment 191061 [details]
svn-diff-math-R
Comment 2 Walter Schwarzenfeld freebsd_triage 2018-02-27 18:38:45 UTC
Created attachment 191062 [details]
svn-diff-R_cran_gsubfn
Comment 3 Walter Schwarzenfeld freebsd_triage 2018-02-27 18:52:40 UTC
Kubilay@ : speaks anything against enable TCLTK

If not: Maintainer timeout?
Comment 4 Walter Schwarzenfeld freebsd_triage 2018-02-27 19:13:27 UTC
No timeout, reached the maintainer of math/R (will enable TCLTK).
Comment 5 Joseph Mingrone freebsd_committer 2018-02-27 19:14:20 UTC
Thanks for reporting.  I will re-enable the TCLTK option by default.  Give me a few hours for a long `poudriere testport` to finish.
Comment 6 commit-hook freebsd_committer 2018-02-28 00:25:06 UTC
A commit references this bug:

Author: jrm
Date: Wed Feb 28 00:24:48 UTC 2018
New revision: 463169
URL: https://svnweb.freebsd.org/changeset/ports/463169

Log:
  math/R: Turn on the TCLTK option by default

  The TCLTK option was turned off in r455296, however this breaks
  devel/R-cran-gsubfn.

  PR:		224472
  Submitted by:	w.schwarzenfeld@utanet.at

Changes:
  head/math/R/Makefile
Comment 7 commit-hook freebsd_committer 2018-02-28 00:25:09 UTC
A commit references this bug:

Author: jrm
Date: Wed Feb 28 00:24:52 UTC 2018
New revision: 463170
URL: https://svnweb.freebsd.org/changeset/ports/463170

Log:
  devel/R-cran-gsubfn: Unmark as broken

  The staging problem is fixed now that the TCLTK option of math/R is on by
  default.

  PR:		224472
  Submitted by:	w.schwarzenfeld@utanet.at

Changes:
  head/devel/R-cran-gsubfn/Makefile
Comment 8 Joseph Mingrone freebsd_committer 2018-02-28 00:28:04 UTC
Thanks.  Please re-open if there any related problems.
Comment 9 Walter Schwarzenfeld freebsd_triage 2018-02-28 00:28:25 UTC
Thanks!